## com.google.gwt.user.client.ui
Class FocusListenerAdapter

    java.lang.Object
      com.google.gwt.user.client.ui.FocusListenerAdapter

All Implemented Interfaces:
  FocusListener, java.util.EventListener

    public abstract class FocusListenerAdapter

extends java.lang.Object
implements FocusListener

An adapter to simplify focus event listeners that do not need all events defined on the FocusListener interface.

Constructor Summary
`FocusListenerAdapter()`

Method Summary
`void` `onFocus(Widget sender)` Fired when a widget receives keyboard focus.
`void` `onLostFocus(Widget sender)` Fired when a widget loses keyboard focus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusListenerAdapter

    public FocusListenerAdapter()

Method Detail

### onFocus

    public void onFocus(Widget sender)

  Description copied from interface: `FocusListener`
  Fired when a widget receives keyboard focus.

  Specified by:
    `onFocus` in interface `FocusListener`
  Parameters:
    `sender` - the widget receiving focus.

### onLostFocus

    public void onLostFocus(Widget sender)

  Description copied from interface: `FocusListener`
  Fired when a widget loses keyboard focus.

  Specified by:
    `onLostFocus` in interface `FocusListener`
  Parameters:
    `sender` - the widget losing focus.